aboutsummaryrefslogtreecommitdiff
path: root/bin/rnda.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-07-02 23:09:08 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-07-02 23:09:08 +1200
commitfcb11d71d7d4dd7abf5af3e58106154ab2dd2212 (patch)
treec9544340f86c6b7c8d45c5d2b2db6473693779df /bin/rnda.sh
parentMerge branch 'awk-cleanup' (diff)
downloaddotfiles-fcb11d71d7d4dd7abf5af3e58106154ab2dd2212.tar.gz
dotfiles-fcb11d71d7d4dd7abf5af3e58106154ab2dd2212.zip
Correct some rndi(1df) references
Diffstat (limited to 'bin/rnda.sh')
-rw-r--r--bin/rnda.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/bin/rnda.sh b/bin/rnda.sh
index b09a8b6f..6a755305 100644
--- a/bin/rnda.sh
+++ b/bin/rnda.sh
@@ -6,11 +6,8 @@ if [ "$#" -eq 0 ] ; then
exit 2
fi
-# Get a random seed from rnds(1df); if it's empty, that's still workable
-seed=$(rnds)
-
-# Get a random integet from 1 to the number of arguments
-argi=$(rndi 1 "$#" "$seed") || exit
+# Get a random integer from 1 to the number of arguments
+argi=$(rndi 1 "$#") || exit
# Shift until that argument is the first argument
shift "$((argi-1))"